package com.ruoyi.project.workflow.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * 附件对象 b_attach_m
 *
 * @author ruoyi
 * @date 2023-06-08
 */
public class BAttachM extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 文件名 */
    private String iFileName;

    /** 文件名(原名) */
    @Excel(name = "文件名(原名)")
    private String iFileNameOrg;

    /** 分类 */
    @Excel(name = "分类")
    private String iType;

    /** 编号 */
    @Excel(name = "编号")
    private String iNo;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    /** 文件类型 */
    @Excel(name = "文件类型")
    private String iFileType;

    public void setiFileName(String iFileName)
    {
        this.iFileName = iFileName;
    }

    public String getiFileName()
    {
        return iFileName;
    }
    public void setiFileNameOrg(String iFileNameOrg)
    {
        this.iFileNameOrg = iFileNameOrg;
    }

    public String getiFileNameOrg()
    {
        return iFileNameOrg;
    }
    public void setiType(String iType)
    {
        this.iType = iType;
    }

    public String getiType()
    {
        return iType;
    }
    public void setiNo(String iNo)
    {
        this.iNo = iNo;
    }

    public String getiNo()
    {
        return iNo;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }
    public void setiFileType(String iFileType)
    {
        this.iFileType = iFileType;
    }

    public String getiFileType()
    {
        return iFileType;
    }
}
