package com.ruoyi.project.workflow.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 多国语对象 b_language_ms
 *
 * @author ruoyi
 * @date 2023-05-19
 */
public class BLanguageMs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 语言ID */
    private String iLanguageId;

    /** 页面ID */
    private String iFuncId;

    /** 名称(中) */
    @Excel(name = "名称(中)")
    private String iLanguageCh;

    /** 名称(日) */
    @Excel(name = "名称(日)")
    private String iLanguageJp;

    /** 名称(英) */
    @Excel(name = "名称(英)")
    private String iLanguageEn;

    /** 备注 */
    @Excel(name = "备注")
    private String iRemark;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    /** 类型 */
    @Excel(name = "类型")
    private String iType;

    /* 语言类型 */
    private String languageType;

    public void setiLanguageId(String iLanguageId)
    {
        this.iLanguageId = iLanguageId;
    }

    public String getiLanguageId()
    {
        return iLanguageId;
    }
    public void setiFuncId(String iFuncId)
    {
        this.iFuncId = iFuncId;
    }

    public String getiFuncId()
    {
        return iFuncId;
    }
    public void setiLanguageCh(String iLanguageCh)
    {
        this.iLanguageCh = iLanguageCh;
    }

    public String getiLanguageCh()
    {
        return iLanguageCh;
    }
    public void setiLanguageJp(String iLanguageJp)
    {
        this.iLanguageJp = iLanguageJp;
    }

    public String getiLanguageJp()
    {
        return iLanguageJp;
    }
    public void setiLanguageEn(String iLanguageEn)
    {
        this.iLanguageEn = iLanguageEn;
    }

    public String getiLanguageEn()
    {
        return iLanguageEn;
    }
    public void setiRemark(String iRemark)
    {
        this.iRemark = iRemark;
    }

    public String getiRemark()
    {
        return iRemark;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }
    public void setiType(String iType)
    {
        this.iType = iType;
    }

    public String getiType()
    {
        return iType;
    }

    public String getLanguageType() {
        return languageType;
    }

    public void setLanguageType(String languageType) {
        this.languageType = languageType;
    }

}
