package com.ruoyi.project.workflow.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * 字典类主对象 b_wordbook_ms
 *
 * @author ruoyi
 * @date 2023-05-25
 */
public class BWordbookMs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 字典分类 */
    private String iWordbookType;

    /** 字典No */
    private String iWordbookNo;

    /** 字典名_中文 */
    @Excel(name = "字典名_中文")
    private String iWordbookNameCh;

    /** 字典名_日文 */
    @Excel(name = "字典名_日文")
    private String iWordbookNameJp;

    /** 字典名_英文 */
    @Excel(name = "字典名_英文")
    private String iWordbookNameEn;

    /** 排序 */
    @Excel(name = "排序")
    private String iSort;

    /** 有效标志（Y：有效，N：无效） */
    @Excel(name = "有效标志", readConverterExp = "Y=：有效，N：无效")
    private String iEnableFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String iRemark;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    /** 系统标志（0：系统，1：用户） */
    @Excel(name = "系统标志", readConverterExp = "0=：系统，1：用户")
    private String iSysFlg;

    private String languageType;

    public void setiWordbookType(String iWordbookType)
    {
        this.iWordbookType = iWordbookType;
    }

    public String getiWordbookType()
    {
        return iWordbookType;
    }
    public void setiWordbookNo(String iWordbookNo)
    {
        this.iWordbookNo = iWordbookNo;
    }

    public String getiWordbookNo()
    {
        return iWordbookNo;
    }
    public void setiWordbookNameCh(String iWordbookNameCh)
    {
        this.iWordbookNameCh = iWordbookNameCh;
    }

    public String getiWordbookNameCh()
    {
        return iWordbookNameCh;
    }
    public void setiWordbookNameJp(String iWordbookNameJp)
    {
        this.iWordbookNameJp = iWordbookNameJp;
    }

    public String getiWordbookNameJp()
    {
        return iWordbookNameJp;
    }
    public void setiWordbookNameEn(String iWordbookNameEn)
    {
        this.iWordbookNameEn = iWordbookNameEn;
    }

    public String getiWordbookNameEn()
    {
        return iWordbookNameEn;
    }
    public void setiSort(String iSort)
    {
        this.iSort = iSort;
    }

    public String getiSort()
    {
        return iSort;
    }
    public void setiEnableFlag(String iEnableFlag)
    {
        this.iEnableFlag = iEnableFlag;
    }

    public String getiEnableFlag()
    {
        return iEnableFlag;
    }
    public void setiRemark(String iRemark)
    {
        this.iRemark = iRemark;
    }

    public String getiRemark()
    {
        return iRemark;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }
    public void setiSysFlg(String iSysFlg)
    {
        this.iSysFlg = iSysFlg;
    }

    public String getiSysFlg()
    {
        return iSysFlg;
    }

    public String getLanguageType() {
        return languageType;
    }

    public void setLanguageType(String languageType) {
        this.languageType = languageType;
    }
}
