package com.ruoyi.project.workflow.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * フロータスク管理对象 w_flow_task
 *
 * @author ruoyi
 * @date 2023-06-05
 */
public class WFlowTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 申請ID */
    private String iApplyId;

    /** 提出回数 */
    private Long iSubmitTimes;

    /** ノードID */
    private String iNodeId;

    /** ノードSUBID */
    private String iNodeSubId;

    /** ノード名称 */
    @Excel(name = "ノード名称")
    private String iNodeName;

    /** ノード対象者タイプ */
    @Excel(name = "ノード対象者タイプ")
    private String iNodeObjType;

    /** ノード対象者ID */
    @Excel(name = "ノード対象者ID")
    private String iNodeObjId;

    /** ノード属性 */
    @Excel(name = "ノード属性")
    private String iNodeProperty;

    /** ノード関係 */
    @Excel(name = "ノード関係")
    private String iNodeRelationship;

    /** 先行ノードID */
    @Excel(name = "先行ノードID")
    private String iPreNodeId;

    /** 後続ノードID */
    @Excel(name = "後続ノードID")
    private String iNexNodeId;

    /** ノードステータス */
    @Excel(name = "ノードステータス")
    private String iNodeStatus;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    public void setiApplyId(String iApplyId)
    {
        this.iApplyId = iApplyId;
    }

    public String getiApplyId()
    {
        return iApplyId;
    }
    public void setiSubmitTimes(Long iSubmitTimes)
    {
        this.iSubmitTimes = iSubmitTimes;
    }

    public Long getiSubmitTimes()
    {
        return iSubmitTimes;
    }
    public void setiNodeId(String iNodeId)
    {
        this.iNodeId = iNodeId;
    }

    public String getiNodeId()
    {
        return iNodeId;
    }
    public void setiNodeSubId(String iNodeSubId)
    {
        this.iNodeSubId = iNodeSubId;
    }

    public String getiNodeSubId()
    {
        return iNodeSubId;
    }
    public void setiNodeName(String iNodeName)
    {
        this.iNodeName = iNodeName;
    }

    public String getiNodeName()
    {
        return iNodeName;
    }
    public void setiNodeObjType(String iNodeObjType)
    {
        this.iNodeObjType = iNodeObjType;
    }

    public String getiNodeObjType()
    {
        return iNodeObjType;
    }
    public void setiNodeObjId(String iNodeObjId)
    {
        this.iNodeObjId = iNodeObjId;
    }

    public String getiNodeObjId()
    {
        return iNodeObjId;
    }
    public void setiNodeProperty(String iNodeProperty)
    {
        this.iNodeProperty = iNodeProperty;
    }

    public String getiNodeProperty()
    {
        return iNodeProperty;
    }
    public void setiNodeRelationship(String iNodeRelationship)
    {
        this.iNodeRelationship = iNodeRelationship;
    }

    public String getiNodeRelationship()
    {
        return iNodeRelationship;
    }
    public void setiPreNodeId(String iPreNodeId)
    {
        this.iPreNodeId = iPreNodeId;
    }

    public String getiPreNodeId()
    {
        return iPreNodeId;
    }
    public void setiNexNodeId(String iNexNodeId)
    {
        this.iNexNodeId = iNexNodeId;
    }

    public String getiNexNodeId()
    {
        return iNexNodeId;
    }
    public void setiNodeStatus(String iNodeStatus)
    {
        this.iNodeStatus = iNodeStatus;
    }

    public String getiNodeStatus()
    {
        return iNodeStatus;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }
}
