package com.ruoyi.project.workflow.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * フロータスクユーザー对象 w_flow_user
 *
 * @author ruoyi
 * @date 2023-06-02
 */
public class WFlowUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 申請ID */
    @Excel(name = "申請ID")
    private String iApplyId;

    /** 提出回数 */
    @Excel(name = "提出回数")
    private Long iSubmitTimes;

    /** ノードID */
    @Excel(name = "ノードID")
    private String iNodeId;

    /** ノードSUBID */
    @Excel(name = "ノードSUBID")
    private String iNodeSubId;

    /** ユーザーID */
    @Excel(name = "ユーザーID")
    private String iUserId;

    /** ユーザーID */
    @Excel(name = "ユーザーID")
    private String iProxyUserId;

    /** ユーザー操作 */
    @Excel(name = "ユーザー操作")
    private String iUserOperation;

    /** 処理結果 */
    @Excel(name = "処理結果")
    private String iResult;

    /** 備考 */
    @Excel(name = "備考")
    private String iComment;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    private String languageType;

    public void setiApplyId(String iApplyId)
    {
        this.iApplyId = iApplyId;
    }

    public String getiApplyId()
    {
        return iApplyId;
    }
    public void setiSubmitTimes(Long iSubmitTimes)
    {
        this.iSubmitTimes = iSubmitTimes;
    }

    public Long getiSubmitTimes()
    {
        return iSubmitTimes;
    }
    public void setiNodeId(String iNodeId)
    {
        this.iNodeId = iNodeId;
    }

    public String getiNodeId()
    {
        return iNodeId;
    }
    public void setiNodeSubId(String iNodeSubId)
    {
        this.iNodeSubId = iNodeSubId;
    }

    public String getiNodeSubId()
    {
        return iNodeSubId;
    }
    public void setiUserId(String iUserId)
    {
        this.iUserId = iUserId;
    }

    public String getiUserId()
    {
        return iUserId;
    }
    public void setiProxyUserId(String iProxyUserId)
    {
        this.iProxyUserId = iProxyUserId;
    }

    public String getiProxyUserId()
    {
        return iProxyUserId;
    }
    public void setiUserOperation(String iUserOperation)
    {
        this.iUserOperation = iUserOperation;
    }

    public String getiUserOperation()
    {
        return iUserOperation;
    }
    public void setiResult(String iResult)
    {
        this.iResult = iResult;
    }

    public String getiResult()
    {
        return iResult;
    }
    public void setiComment(String iComment)
    {
        this.iComment = iComment;
    }

    public String getiComment()
    {
        return iComment;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }

    public String getLanguageType() {
        return languageType;
    }

    public void setLanguageType(String languageType) {
        this.languageType = languageType;
    }
}
