package com.ruoyi.project.workflow.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * 代理人設定对象 w_proxy_settings
 *
 * @author ruoyi
 * @date 2023-06-13
 */
public class WProxySettings extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 代理ID */
    private Long iProxyId;

    /** ユーザーID */
    @Excel(name = "ユーザーID")
    private String iUserId;

    /** 代理ユーザーID */
    @Excel(name = "代理ユーザーID")
    private String iProxyUserId;

    /** 代理開始日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "代理開始日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iProxySYmd;

    /** 代理終了日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "代理終了日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iProxyEYmd;

    /** 代理フォームID */
    @Excel(name = "代理フォームID")
    private String iProxyFormId;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    public void setiProxyId(Long iProxyId)
    {
        this.iProxyId = iProxyId;
    }

    public Long getiProxyId()
    {
        return iProxyId;
    }
    public void setiUserId(String iUserId)
    {
        this.iUserId = iUserId;
    }

    public String getiUserId()
    {
        return iUserId;
    }
    public void setiProxyUserId(String iProxyUserId)
    {
        this.iProxyUserId = iProxyUserId;
    }

    public String getiProxyUserId()
    {
        return iProxyUserId;
    }
    public void setiProxySYmd(Date iProxySYmd)
    {
        this.iProxySYmd = iProxySYmd;
    }

    public Date getiProxySYmd()
    {
        return iProxySYmd;
    }
    public void setiProxyEYmd(Date iProxyEYmd)
    {
        this.iProxyEYmd = iProxyEYmd;
    }

    public Date getiProxyEYmd()
    {
        return iProxyEYmd;
    }
    public void setiProxyFormId(String iProxyFormId)
    {
        this.iProxyFormId = iProxyFormId;
    }

    public String getiProxyFormId()
    {
        return iProxyFormId;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }
}
