package com.ruoyi.project.workflow.domain.output;

import java.io.Serializable;
import java.util.List;

public class NodeConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    private String nodeId;
    private Integer type;
    private String nodeName;
    private NodeConfig childNode;
    private List<NodeConfig> conditionNodes;
    //审批节点属性
    private Integer signType;
    private Integer optionType;
    private String optionValue;
    private Integer nodeProperty;
    //条件节点属性
    private Integer priorityLevel;
    private String expression;
    //前后置关系
    private Integer status;
    private String prevTasks;
    private String nextTasks;
    //父
    private NodeConfig parent;

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public NodeConfig getChildNode() {
        return childNode;
    }

    public void setChildNode(NodeConfig childNode) {
        this.childNode = childNode;
    }

    public List<NodeConfig> getConditionNodes() {
        return conditionNodes;
    }

    public void setConditionNodes(List<NodeConfig> conditionNodes) {
        this.conditionNodes = conditionNodes;
    }

    public Integer getSignType() {
        return signType;
    }

    public void setSignType(Integer signType) {
        this.signType = signType;
    }

    public Integer getOptionType() {
        return optionType;
    }

    public void setOptionType(Integer optionType) {
        this.optionType = optionType;
    }

    public String getOptionValue() {
        return optionValue;
    }

    public void setOptionValue(String optionValue) {
        this.optionValue = optionValue;
    }

    public Integer getNodeProperty() {
        return nodeProperty;
    }

    public void setNodeProperty(Integer nodeProperty) {
        this.nodeProperty = nodeProperty;
    }

    public Integer getPriorityLevel() {
        return priorityLevel;
    }

    public void setPriorityLevel(Integer priorityLevel) {
        this.priorityLevel = priorityLevel;
    }

    public String getExpression() {
        return expression;
    }

    public void setExpression(String expression) {
        this.expression = expression;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPrevTasks() {
        return prevTasks;
    }

    public void setPrevTasks(String prevTasks) {
        this.prevTasks = prevTasks;
    }

    public String getNextTasks() {
        return nextTasks;
    }

    public void setNextTasks(String nextTasks) {
        this.nextTasks = nextTasks;
    }

    public NodeConfig getParent() {
        return parent;
    }

    public void setParent(NodeConfig parent) {
        this.parent = parent;
    }
}
