package com.ruoyi.project.workflow.mapper;

import com.ruoyi.project.workflow.domain.BWordbookMs;
import com.ruoyi.project.workflow.domain.db.out.BWordbookMsOut;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BWordbookMsMapper {

    /*
    根据字典分类取得字典信息
     */
    public List<BWordbookMsOut> selectDataList(BWordbookMs bWordbookMs);

    /*
    每页显示条数
     */
    public String selectWordbookNameByKeys(BWordbookMs bWordbookMs);

    /*
    取得全部字典内容（或指定字典内容）
     */
    public List<BWordbookMsOut> selectAllDictList(BWordbookMs bWordbookMs);

    /*
    根据字典分类取得字典信息(not in wordbookNo)
     */
    public List<BWordbookMsOut> selectWorkBookInfoByType(BWordbookMs bWordbookMs);
}
