package com.ruoyi.project.workflow.mapper;

import com.ruoyi.project.workflow.domain.WFlowTask;
import com.ruoyi.project.workflow.domain.db.out.CurrentNodeOut;
import com.ruoyi.project.workflow.domain.db.out.TaskUserMailOut;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WFlowTaskMapper {

    /*
   申请ID(下一个)
    */
    public List<TaskUserMailOut> selectAduitApplyMail(WFlowTask wFlowTask);

    /*
     申请ID(否决)
     */
    public List<TaskUserMailOut> selectRejectApplyMail(WFlowTask wFlowTask);

    /*
     申请ID(取消)
     */
    public List<TaskUserMailOut> selectCancelApplyMail(WFlowTask wFlowTask);

    /*
    新增
     */
    public int insertWFlowTask(WFlowTask wFlowTask);

    /*
    取得流程详情
     */
    public WFlowTask selectFlowTaskDetail(WFlowTask wFlowTask);

     /*
    取得Node数
     */
     public Long selectCountNodenum(WFlowTask wFlowTask);

     /*
    取得SUBID数
     */
     public Long selectCountSubnum(WFlowTask wFlowTask);

     /*
     取得审批节点
     */
    public List<CurrentNodeOut> selectCurrentNodeById(WFlowTask wFlowTask);

    /*
    task状态不为空，更新w_flow_task
     */
    public int updateWFlowTaskStatus(WFlowTask wFlowTask);

    /*
    后续节点不为空，更新w_flow_task
     */
    public int updateWFlowTaskNextTask(WFlowTask wFlowTask);
}
