package com.ruoyi.project.workflow.mapper;

import com.ruoyi.project.workflow.domain.WFlowTask;
import com.ruoyi.project.workflow.domain.WFlowUser;
import com.ruoyi.project.workflow.domain.db.out.ApplyResumeOut;
import com.ruoyi.project.workflow.domain.db.out.FlowTaskUserOut;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


@Mapper
public interface WFlowUserMapper {

    /*
    获取审批履历
     */
    public List<ApplyResumeOut> selectApplyResume(WFlowUser wFlowUser);

    /**
     * 新增
     */
    public int insertWFlowUser(WFlowUser wFlowUser);

    /**
     * 给下一个审批节点的审批者设定代理人
     */
    public int updateNextProxyUser(WFlowUser wFlowUser);

    /*
    保存审批数据
     */
    public int updateAuditData(WFlowUser wFlowUser);

    /*
    代理保存审批数据
    */
    public int updateProxyAuditData(WFlowUser wFlowUser);

    /*
     取得流程审批人
     */
    public List<FlowTaskUserOut> selectFlowTaskUser(WFlowUser wFlowUser);

}
