package com.ruoyi.project.workflow.mapper;

import com.ruoyi.project.workflow.domain.WFormLayout;
import com.ruoyi.project.workflow.domain.db.in.WFormDataCreate;
import com.ruoyi.project.workflow.domain.db.in.WFormDataInsert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface WFormDataMapper {

    /*
     删除表单数据表
     */
    public int dropWFormData(String tableName);

    /*
     删除表单数据结构表数据
    */
    public int dropColumn(WFormLayout wFormLayout);

    /*
     * 创建表
     */
    public int creatWFormDataTable(WFormDataCreate wFormDataCreate);

    /*
     * 添加表单数据结构表数据
     */
    public int addColumn(WFormDataCreate wFormDataCreate);

    /*
     * 保存申请数据
     */
    public int insertWFormData(WFormDataInsert wFormDataInsert);

    /*
    取得申请数据
     */
    public Map<String, Object> selectFormDataByApplyId(@Param("strtblname") String strtblname,
                                                       @Param("iApplyId") String iApplyId);

    /*
    判断表名是否存在
     */
    public Long selectCheckTableExists(@Param("tableSchema") String tableSchema,
                                       @Param("tableName") String tableName);

    /*
    更新
     */
    public int updateByApplyId(@Param("strtblname") String strtblname, @Param("iApplyId") String iApplyId,
                               @Param("sList") List<String> sList);
}
