package com.ruoyi.project.workflow.mapper;

import com.ruoyi.project.workflow.domain.WReferenceUser;
import com.ruoyi.project.workflow.domain.db.out.TaskUserMailOut;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WReferenceUserMapper {

    /**
     * 新增閲覧
     */
    public int insertWReferenceUser(WReferenceUser wReferenceUser);

    /*
    取得阅览者
     */
    public List<String> selectReferenceUser(String iApplyId);

    /*
     通过【申請ID】删除
     */
    public int deleteByApplyId(String iApplyId);

    /*
    CC者的邮件取得
     */
    public List<TaskUserMailOut> selectEmailByApplyId(String iApplyId);
}
