package com.ruoyi.project.workflow.mapper;

import com.ruoyi.project.workflow.domain.WUserSettings;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface WUserSettingsMapper {

    /**
     * 新增個人設定
     */
    public int insertWUserSettings(WUserSettings wUserSettings);

    /**
     * 删除個人設定
     */
    public int deleteWUserSettingsByKeys(WUserSettings wUserSettings);

    /**
     * 删除個人設定(iUserId)
     */
    public int deleteWUserSettingsByUserId(String iUserId);

    /**
     * 取得個人設定
     */
    public WUserSettings selectWUserSettingsByUserId(String iUserId);
}
