package com.ruoyi.project.workflow.service;

import com.ruoyi.project.workflow.domain.BWordbookMs;
import com.ruoyi.project.workflow.domain.base.OutButtonBase;
import com.ruoyi.project.workflow.domain.db.out.BWordbookMsOut;

import java.util.List;

public interface IBWordbookMsService {

    /*
    根据字典分类取得字典信息
     */
    List<BWordbookMsOut> selectDataList(String languageType, String wordbookType, String flg);

    /*
    每页显示条数
     */
    String selectPerPage(String languageType);

    /*
    按钮信息
     */
    OutButtonBase selectButtonInfo(String languageType);

    /*
    取得全部字典内容（或指定字典内容）
     */
    List<BWordbookMsOut> selectAllDictList(BWordbookMs bWordbookMs);

    /*
    根据字典编号取得字典名称
    */
   String selectWordbookNameByKeys(String languageType, String iWordbookType,
                                   String iWordbookNo, String enableFlag);

    /*
    根据字典分类取得字典信息(not in wordbookNo)
    */
    List<BWordbookMsOut> selectWorkBookInfoByType(String languageType, String iWordbookType,
                                                  String iWordbookNo, String enableFlag);
}
