package com.ruoyi.project.workflow.service;

import com.ruoyi.project.workflow.domain.db.out.BLanguageMsOut;
import com.ruoyi.project.workflow.domain.db.out.UserDeptListOut;
import com.ruoyi.project.workflow.domain.output.DeptTreeSelect;

import java.util.List;

public interface SysUserDeptService {

    /*
    用户公司列表
     */
    List<UserDeptListOut> selectUserList(String str);

    /*
    用户公司
     */
    UserDeptListOut getUserById(String userId);

    /*
    公司结构
     */
    List<DeptTreeSelect> getDeptTreeWork();

    /*
    获取公司名称
    */
    List<BLanguageMsOut> selectDeptNamesByDeptIds(String deptIds);

    /*
    获取上级公司
    */
    List<BLanguageMsOut> selectDeptNamesByParentId(long parentId);
}
