package com.ruoyi.project.workflow.service.impl;

import com.ruoyi.project.workflow.mapper.WFormDataMapper;
import com.ruoyi.project.workflow.service.WFormDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service("wFormDataService")
public class WFormDataServiceImpl implements WFormDataService {
    @Autowired
    private WFormDataMapper wFormDataMapper;

    /*
    取得申请数据
     */
    @Override
    public Map<String, Object> selectFormDataByApplyId(String strtblname, String iApplyId) {
        return wFormDataMapper.selectFormDataByApplyId(strtblname, iApplyId);
    }

    /*
    判断表名是否存在
     */
    @Override
    public Boolean selectCheckTableExists(String tableSchema, String tableName) {
        if (wFormDataMapper.selectCheckTableExists(tableSchema,tableName) == 1) {
            return true;
        } else {
            return false;
        }
    }


}
