package com.ruoyi.project.workflow.service.impl;

import com.ruoyi.project.workflow.domain.db.out.TaskUserMailOut;
import com.ruoyi.project.workflow.mapper.WReferenceUserMapper;
import com.ruoyi.project.workflow.service.WReferenceUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("wReferenceUserService")
public class WReferenceUserServiceImpl implements WReferenceUserService {

    @Autowired
    private WReferenceUserMapper wReferenceUserMapper;

    /*
    取得阅览者
     */
    @Override
    public List<String> selectReferenceUser(String iApplyId) {
        return wReferenceUserMapper.selectReferenceUser(iApplyId);
    }

    /*
    CC者的邮件取得
     */
    @Override
    public List<TaskUserMailOut> selectEmailByApplyId(String iApplyId){
        return wReferenceUserMapper.selectEmailByApplyId(iApplyId);
    }
}
