package com.ruoyi.project.workflow.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * 申請管理对象 w_application
 *
 * @author ruoyi
 * @date 2023-06-05
 */
public class WApplication extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 申請ID */
    private String iApplyId;

    /** 提出回数 */
    private Long iSubmitTimes;

    /** フォームID */
    @Excel(name = "フォームID")
    private Long iFormId;

    /** 申請者 */
    @Excel(name = "申請者")
    private String iApplUser;

    /** 前回申請ID */
    @Excel(name = "前回申請ID")
    private String iPreApplId;

    /** ステータス */
    @Excel(name = "ステータス")
    private String iStatus;

    /** 取消時間 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "取消時間", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iCancelDate;

    /** 削除時間 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "削除時間", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iDeleteDate;

    /** 提出時間 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提出時間", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iSubmitDate;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    private String languageType;

    public void setiApplyId(String iApplyId)
    {
        this.iApplyId = iApplyId;
    }

    public String getiApplyId()
    {
        return iApplyId;
    }
    public void setiSubmitTimes(Long iSubmitTimes)
    {
        this.iSubmitTimes = iSubmitTimes;
    }

    public Long getiSubmitTimes()
    {
        return iSubmitTimes;
    }
    public void setiFormId(Long iFormId)
    {
        this.iFormId = iFormId;
    }

    public Long getiFormId()
    {
        return iFormId;
    }
    public void setiApplUser(String iApplUser)
    {
        this.iApplUser = iApplUser;
    }

    public String getiApplUser()
    {
        return iApplUser;
    }
    public void setiPreApplId(String iPreApplId)
    {
        this.iPreApplId = iPreApplId;
    }

    public String getiPreApplId()
    {
        return iPreApplId;
    }
    public void setiStatus(String iStatus)
    {
        this.iStatus = iStatus;
    }

    public String getiStatus()
    {
        return iStatus;
    }
    public void setiCancelDate(Date iCancelDate)
    {
        this.iCancelDate = iCancelDate;
    }

    public Date getiCancelDate()
    {
        return iCancelDate;
    }
    public void setiDeleteDate(Date iDeleteDate)
    {
        this.iDeleteDate = iDeleteDate;
    }

    public Date getiDeleteDate()
    {
        return iDeleteDate;
    }
    public void setiSubmitDate(Date iSubmitDate)
    {
        this.iSubmitDate = iSubmitDate;
    }

    public Date getiSubmitDate()
    {
        return iSubmitDate;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }

    public String getLanguageType() {
        return languageType;
    }

    public void setLanguageType(String languageType) {
        this.languageType = languageType;
    }
}
