package com.ruoyi.project.workflow.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * フォームデータ構造对象 w_form_layout
 *
 * @author ruoyi
 * @date 2023-05-24
 */
public class WFormLayout extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** フォームデータテーブル名 */
    @Excel(name = "フォームデータテーブル名")
    private String iFormDataTblname;

    /** フォームデータコラム */
    @Excel(name = "フォームデータコラム")
    private String iFormDataCol;

    /** フォーム版 */
    @Excel(name = "フォーム版")
    private Long iFormVersion;

    /** フォームデータコントロール */
    @Excel(name = "フォームデータコントロール")
    private String iFormDataControl;

    /** フォームデータコントロール初期値 */
    @Excel(name = "フォームデータコントロール初期値")
    private String iFormDataControlInitval;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    public void setiFormDataTblname(String iFormDataTblname)
    {
        this.iFormDataTblname = iFormDataTblname;
    }

    public String getiFormDataTblname()
    {
        return iFormDataTblname;
    }
    public void setiFormDataCol(String iFormDataCol)
    {
        this.iFormDataCol = iFormDataCol;
    }

    public String getiFormDataCol()
    {
        return iFormDataCol;
    }
    public void setiFormVersion(Long iFormVersion)
    {
        this.iFormVersion = iFormVersion;
    }

    public Long getiFormVersion()
    {
        return iFormVersion;
    }
    public void setiFormDataControl(String iFormDataControl)
    {
        this.iFormDataControl = iFormDataControl;
    }

    public String getiFormDataControl()
    {
        return iFormDataControl;
    }
    public void setiFormDataControlInitval(String iFormDataControlInitval)
    {
        this.iFormDataControlInitval = iFormDataControlInitval;
    }

    public String getiFormDataControlInitval()
    {
        return iFormDataControlInitval;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }
}
