package com.ruoyi.project.workflow.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * フォーム利用者对象 w_form_user
 *
 * @author ruoyi
 * @date 2023-05-24
 */
public class WFormUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** フォームID */
    private Long iFormId;

    /** 利用者タイプ */
    private String iUserType;

    /** 利用者ID */
    private String iUserId;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    public void setiFormId(Long iFormId)
    {
        this.iFormId = iFormId;
    }

    public Long getiFormId()
    {
        return iFormId;
    }
    public void setiUserType(String iUserType)
    {
        this.iUserType = iUserType;
    }

    public String getiUserType()
    {
        return iUserType;
    }
    public void setiUserId(String iUserId)
    {
        this.iUserId = iUserId;
    }

    public String getiUserId()
    {
        return iUserId;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }
}
