package com.ruoyi.project.workflow.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * ロール对象 w_group
 *
 * @author ruoyi
 * @date 2023-06-07
 */
public class WGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分组ID */
    private Long iGroupId;

    /** 分组名称 */
    @Excel(name = "分组名称")
    private String iGroupName;

    /** 分组説明 */
    @Excel(name = "分组説明")
    private String iGroupComment;

    /** 分组フラグ */
    @Excel(name = "分组フラグ")
    private String iGroupFlg;

    /** 分组責任者 */
    @Excel(name = "分组責任者")
    private String iGroupMaster;

    /** 分组メーリングリスト */
    @Excel(name = "分组メーリングリスト")
    private String iGroupMl;

    /** 作成者 */
    @Excel(name = "作成者")
    private String iEntryId;

    /** 作成日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "作成日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iEntryDate;

    /** 更新者 */
    @Excel(name = "更新者")
    private String iUpdId;

    /** 更新日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date iUpdDate;

    public void setiGroupId(Long iGroupId)
    {
        this.iGroupId = iGroupId;
    }

    public Long getiGroupId()
    {
        return iGroupId;
    }
    public void setiGroupName(String iGroupName)
    {
        this.iGroupName = iGroupName;
    }

    public String getiGroupName()
    {
        return iGroupName;
    }
    public void setiGroupComment(String iGroupComment)
    {
        this.iGroupComment = iGroupComment;
    }

    public String getiGroupComment()
    {
        return iGroupComment;
    }
    public void setiGroupFlg(String iGroupFlg)
    {
        this.iGroupFlg = iGroupFlg;
    }

    public String getiGroupFlg()
    {
        return iGroupFlg;
    }
    public void setiGroupMaster(String iGroupMaster)
    {
        this.iGroupMaster = iGroupMaster;
    }

    public String getiGroupMaster()
    {
        return iGroupMaster;
    }
    public void setiGroupMl(String iGroupMl)
    {
        this.iGroupMl = iGroupMl;
    }

    public String getiGroupMl()
    {
        return iGroupMl;
    }
    public void setiEntryId(String iEntryId)
    {
        this.iEntryId = iEntryId;
    }

    public String getiEntryId()
    {
        return iEntryId;
    }
    public void setiEntryDate(Date iEntryDate)
    {
        this.iEntryDate = iEntryDate;
    }

    public Date getiEntryDate()
    {
        return iEntryDate;
    }
    public void setiUpdId(String iUpdId)
    {
        this.iUpdId = iUpdId;
    }

    public String getiUpdId()
    {
        return iUpdId;
    }
    public void setiUpdDate(Date iUpdDate)
    {
        this.iUpdDate = iUpdDate;
    }

    public Date getiUpdDate()
    {
        return iUpdDate;
    }
}
