package com.ruoyi.project.workflow.domain.output;

import com.ruoyi.project.workflow.domain.base.OutBase;

import java.util.List;

/*
    分页查询共通JSON
 */
public class WorkFlowTableInfo extends OutBase {

    private static final long serialVersionUID = 1L;

    /** 总记录数 */
    private String dataCount;

    /** 列表数据 */
    private List<?> dataList;

    /** 消息内容 */
    private String i_total;

    /**
     * 表格数据对象
     */
    public WorkFlowTableInfo()
    {
    }

    /**
     * 分页
     *
     * @param list 列表数据
     * @param total 总记录数
     */
    public WorkFlowTableInfo(List<?> list, String total) {
        this.dataList = list;
        this.dataCount = total;
    }

    public String getDataCount() {
        return dataCount;
    }

    public void setDataCount(String dataCount) {
        this.dataCount = dataCount;
    }

    public List<?> getDataList() {
        return dataList;
    }

    public void setDataList(List<?> dataList) {
        this.dataList = dataList;
    }

    public String getI_total() {
        return i_total;
    }

    public void setI_total(String i_total) {
        this.i_total = i_total;
    }
}
