package com.ruoyi.project.workflow.mapper;

import com.ruoyi.project.workflow.domain.WApplication;
import com.ruoyi.project.workflow.domain.WFormDesign;
import com.ruoyi.project.workflow.domain.db.out.ApplyInfoUseForMailOut;
import com.ruoyi.project.workflow.domain.db.out.FormInfoOut;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WApplicationMapper {

    /*
    申请ID
     */
    public List<String> selectApplyId(String applyId);

    /**
     * 新增申請管理
     */
    public int insertWApplication(WApplication wApplication);

    /*
     取得申請管理用于邮件发送
     */
    public ApplyInfoUseForMailOut selectApplyInfoUseForMail(WApplication wApplication);

    /*
    取得申請管理
     */
    public WApplication selectApplyInfoByApplyIds(WApplication wApplication);

    /*
     修改申請管理
     */
    public int updateWApplication(WApplication wApplication);

    /*
    根据申请编号取得最新版本（最大提交回数）
     */
    public Long selectApplyMaxTimes(String applyId);

    /*
    取得表单结构
     */
    public WFormDesign selectFormLayoutByApplyId(WApplication wApplication);

    /*
    删除申请
     */
    public int deleteApply(WApplication wApplication);

    /*
   取消申请
    */
    public int cancelApply(WApplication wApplication);

    /*
   追加一个回数+1的申请
    */
    public int insertAddSubmitTimes(WApplication wApplication);

    /*
    申请ID关联情报取得
     */
    public FormInfoOut selectFormInfoByApplyId(WApplication wApplication);
}
