package com.ruoyi.project.workflow.mapper;

import com.ruoyi.project.workflow.domain.db.in.WFormDesignNewAppLyIn;
import com.ruoyi.project.workflow.domain.db.out.ApplyRulesOut;
import com.ruoyi.project.workflow.domain.db.out.WFormDesignNewApplyOut;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WFormDesignNewApplyMapper {

    /**
     * 新增申请列表
     */
    public List<WFormDesignNewApplyOut> selectNewApplyList(WFormDesignNewAppLyIn wFormDesignNewAppLyIn);

    /**
     * 新增申请件数
     */
    public Long selectNewApplyCount(WFormDesignNewAppLyIn wFormDesignNewAppLyIn);

    /**
     *新增申请列表（无limit）
     **/
    public List<WFormDesignNewApplyOut> selectNewApplyUnLimt(WFormDesignNewAppLyIn wFormDesignNewAppLyIn);

    /**
     *采番规则取得
     **/
    public ApplyRulesOut selectNumberRules(Long iFormId);

}
