package com.ruoyi.project.workflow.mapper;

import com.ruoyi.project.workflow.domain.WFormLayout;
import com.ruoyi.project.workflow.domain.db.in.WFormDataCreate;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WFormLayoutMapper {

    /*
     *查询フォームデータ構造列表
     */
    public List<WFormLayout> selectWFormLayoutList(WFormLayout wFormLayout);

    /**
     * 删除
     */
    public int deleteWFormLayoutByIds(WFormLayout wFormLayout);

    /**
     * 新增
     */
    public int insertWFormLayout(WFormLayout wFormLayout);

    /*
     * 存在check
     */
    public List<WFormLayout> checkDataColExist(WFormDataCreate wFormDataCreate);

    /*
     * 表单列数据取得
     */
    public List<String> getDataColByNameVersion(WFormLayout wFormLayout);

    /*
     * 履历版本表单列数据取得
     */
    public List<WFormLayout> checkPreDataCol(WFormLayout wFormLayout);

    /*
     * 通过表单Id获取申请数据表结构
     */
    public List<WFormLayout> selectStructureByFormId(Long iFormId);

}
