package com.ruoyi.project.workflow.service;

import com.ruoyi.project.workflow.domain.WGroup;
import com.ruoyi.project.workflow.domain.db.in.WGroupYilanIn;
import com.ruoyi.project.workflow.domain.db.out.BLanguageMsOut;
import com.ruoyi.project.workflow.domain.db.out.WGroupDetailOut;
import com.ruoyi.project.workflow.domain.db.out.WGroupMemberOut;
import com.ruoyi.project.workflow.domain.db.out.WGroupYilanOut;

import java.util.List;

public interface WGroupService {

    /*
    责任者
   */
    String selectGroupMasterByKey(String iGroupId);

    /*
    分组用户
     */
    List<String> selectGroupUsersByKey(String iGroupId);

    /**
     * 分组一览
     */
    List<WGroupYilanOut> selectWGroupList(WGroupYilanIn wGroupYilanIn);

    /**
     * 分组一览件数
     */
    Long selectWGroupCount(WGroupYilanIn wGroupYilanIn);

    /**
     * 分组一览（无limit）
     */
    List<WGroupYilanOut> selectWGroupUnLimt(WGroupYilanIn wGroupYilanIn);

    /**
     * 详细
     */
    WGroupDetailOut selectWGroupDetailById(Long iGroupId);

    /**
     * 成员
     */
    List<WGroupMemberOut> selectWGroupMemberById(Long iGroupId);

    /**
     * 角色ID采番
     */
    Long selectNewGroupId();

    /**
     *判断是否已经存在
     */
    List<String> selectCheckExists(String roleName, Long roleId);

    /**
     * 保存数据
     */
    String saveData(String language, String operate, WGroup inData, String[] members);

    /**
     * 删除数据
     */
    String deleteData(String language, String groupIds);

    /**
     * 取得全部角色（或指定角色）
     */
    List<BLanguageMsOut> selectAllRole(String iGroupIds);

    /*
    分组名称
     */
    String selectRroupNameByKey(String iGroupId);
}
