package com.ruoyi.project.workflow.service.impl;

import com.ruoyi.project.workflow.domain.db.in.WFormDesignApproveIn;
import com.ruoyi.project.workflow.domain.db.out.WFormDesignApproveOut;
import com.ruoyi.project.workflow.mapper.WFormDesignApproveMapper;
import com.ruoyi.project.workflow.service.WFormDesignApproveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("wFormDesignApproveService")
public class WFormDesignApproveServiceImpl implements WFormDesignApproveService {

    @Autowired
    private WFormDesignApproveMapper wFormDesignApproveMapper;

    /**
     * 可查阅申请一览
     */
    @Override
    public List<WFormDesignApproveOut> selectApproveList(WFormDesignApproveIn wFormDesignApproveIn) {
        return wFormDesignApproveMapper.selectApproveList(wFormDesignApproveIn);
    }

    /*
     *可查阅申请一览件数
     */
    @Override
    public Long selectApproveCount(WFormDesignApproveIn wFormDesignApproveIn) {
        return wFormDesignApproveMapper.selectApproveCount(wFormDesignApproveIn);
    }

    /**
     * 可查阅申请一览（无limit）
     */
    @Override
    public List<WFormDesignApproveOut> selectApproveUnLimt(WFormDesignApproveIn wFormDesignApproveIn) {
        return wFormDesignApproveMapper.selectApproveUnLimt(wFormDesignApproveIn);
    }

}
