package com.ruoyi.project.workflow.service.impl;

import com.ruoyi.project.workflow.domain.db.in.WFormDesignInvalidIn;
import com.ruoyi.project.workflow.domain.db.out.WFormDesignInvalidOut;
import com.ruoyi.project.workflow.mapper.WFormDesignInvalidMapper;
import com.ruoyi.project.workflow.service.WFormDesignInvalidService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("wFormDesignInvalidService")
public class WFormDesignInvalidServiceImpl implements WFormDesignInvalidService {

    @Autowired
    private WFormDesignInvalidMapper wFormDesignInvalidMapper;

    /**
     * 无效申请一览
     */
    @Override
    public List<WFormDesignInvalidOut> selectInvalidList(WFormDesignInvalidIn wFormDesignInvalidIn) {
        return wFormDesignInvalidMapper.selectInvalidList(wFormDesignInvalidIn);
    }

    /*
     *无效申请一览件数
     */
    @Override
    public Long selectInvalidCount(WFormDesignInvalidIn wFormDesignInvalidIn) {
        return wFormDesignInvalidMapper.selectInvalidCount(wFormDesignInvalidIn);
    }

    /**
     * 无效申请一览（无limit）
     */
    @Override
    public List<WFormDesignInvalidOut> selectInvalidUnLimt(WFormDesignInvalidIn wFormDesignInvalidIn) {
        return wFormDesignInvalidMapper.selectInvalidUnLimt(wFormDesignInvalidIn);
    }
}
